Bug 871958 - [sr_RS.UTF-8@latin] Cyrillic glyphs, instead of Latin glyphs, displayed in some places
[sr_RS.UTF-8@latin] Cyrillic glyphs, instead of Latin glyphs, displayed in so...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-31 16:31 EDT by Steve Tyler
Modified: 2013-10-14 06:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 06:48:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing Cyrillic glyphs in some places (54.07 KB, image/png)
2012-10-31 16:31 EDT, Steve Tyler
no flags Details
/var/log/messages from F17 (276.05 KB, text/plain)
2012-11-01 09:25 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-10-31 16:31:16 EDT
Created attachment 636306 [details]
screenshot showing Cyrillic glyphs in some places

Description of problem:
After installing with the locale 'sr_RS.UTF-8@latin', firstboot displays Cyrillic glyphs, instead of Latin glyphs, in some places.

Version-Release number of selected component (if applicable):
firstboot-0:18.5-1.fc18.x86_64

How reproducible:
Presumably always.

Steps to Reproduce:
1. During installation, select 'Serbian (Latin)' for the language and Gnome desktop for the environment.
2. Reboot to firstboot.
  
Actual results:
Cyrillic glyphs are displayed in some places.
See attached screenshot.

Expected results:
Latin glyphs are displayed.

Additional info:
Reproduced while testing a fix for this bug:
Bug 866730 - invalid locales configured for some languages
Comment 1 Steve Tyler 2012-11-01 09:25:43 EDT
Created attachment 636672 [details]
/var/log/messages from F17

I reproduced this bug and Bug 871916 in F17 by installing from the F17 DVD with 'Serbian (Latin)' and Gnome desktop.

[snippets from /var/log/messages]
...
Nov  1 13:06:59 localhost kernel: [    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.3.4-5.fc17.x86_64 root=UUID=193d72a7-8488-47c3-a20a-fedd3e364f86 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True rd.luks=0 LANG=sr_RS
.UTF-8@latin KEYTABLE=sr-latin rhgb quiet
...
Nov  1 13:06:59 localhost firstboot[500]: INFO:firstboot.frontend:setting LANG to sr_RS.UTF-8@latin
...
Nov  1 13:07:01 localhost firstboot[500]: /etc/X11/Xresources:0: warning: Unknown encoding: sr_RS.UTF-8@latin
...


Command-line:
$ qemu-kvm -m 2048 -hda f17-test-2.img -cdrom ~/xfr/fedora/F17/Fedora-17-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 2 Fedora Admin XMLRPC Client 2013-10-14 05:19:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Vratislav Podzimek 2013-10-14 06:48:11 EDT
The firstboot utility is deprecated and no longer developed in Fedora 19 and newer releases. It was replaced by the initial-setup utility with a completely different codebase. If you still have any similar problems with Fedora 19 or later, please file a new bug against initial-setup or gnome-initial-setup if you did a GNOME install.

Note You need to log in before you can comment on or make changes to this bug.